List snapshot-based pattern evaluations
Maps existing Hypothesis Engine evaluation summaries to cursor pagination. Lists only snapshots for which this integration can access the complete evaluation evidence; results must not disclose restricted inputs indirectly.
Path Parameters
- Type:user
Id required
Query Parameters
- Type: integerlimitmin:1max:200
Integer numbers.
- Type: stringcursor
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/users/{userId} /pattern-evaluations
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/pattern-evaluations?limit=50' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"userId": "usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE",
"snapshotId": "string",
"snapshotCreatedAt": "2026-11-16T17:41:55.083Z",
"status": "pending",
"failureCode": "string"
}
],
"nextCursor": null,
"hasMore": true
}